Skip to main content
POST
/
api
/
public
/
v1
/
networks
/
{id}
/
attachments
Attach a VM to a private network
curl --request POST \
  --url https://api.vmarea.com/api/v1/api/public/v1/networks/{id}/attachments \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "vmId": "<string>",
  "privateIp": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "vmId": "<string>",
    "networkId": "<string>",
    "privateIp": "<string>",
    "netInterface": "<string>",
    "attachedAt": "2023-11-07T05:31:56Z",
    "vm": {
      "id": "<string>",
      "name": "<string>",
      "hostname": "<string>",
      "status": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmarea.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.

Path Parameters

id
string
required

Body

application/json
vmId
string
required
Pattern: ^[cC][^\s-]{8,}$
privateIp
string
Pattern: ^(?:(?:25[0-5]|2[0-4]\d|[01]?\d?\d)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d?\d)$

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required